From: Johannes Berg <johannes.berg@intel.com>
Date: Mon, 10 Oct 2022 19:17:46 +0200
Subject: [PATCH] wifi: realtek: remove duplicated wake_tx_queue

By accident, the previous patch duplicated the initialization
of the wake_tx_queue callback. Fix that by removing the new
initializations.

Fixes: a790cc3a4fad ("wifi: mac80211: add wake_tx_queue callback to drivers")
Signed-off-by: Johannes Berg <johannes.berg@intel.com>
---

--- a/drivers/net/wireless/realtek/rtw88/mac80211.c
+++ b/drivers/net/wireless/realtek/rtw88/mac80211.c
@@ -892,7 +892,6 @@ static void rtw_ops_sta_rc_update(struct
 
 const struct ieee80211_ops rtw_ops = {
 	.tx			= rtw_ops_tx,
-	.wake_tx_queue		= ieee80211_handle_wake_tx_queue,
 	.wake_tx_queue		= rtw_ops_wake_tx_queue,
 	.start			= rtw_ops_start,
 	.stop			= rtw_ops_stop,
--- a/drivers/net/wireless/realtek/rtw89/mac80211.c
+++ b/drivers/net/wireless/realtek/rtw89/mac80211.c
@@ -916,7 +916,6 @@ static int rtw89_ops_set_tid_config(stru
 
 const struct ieee80211_ops rtw89_ops = {
 	.tx			= rtw89_ops_tx,
-	.wake_tx_queue		= ieee80211_handle_wake_tx_queue,
 	.wake_tx_queue		= rtw89_ops_wake_tx_queue,
 	.start			= rtw89_ops_start,
 	.stop			= rtw89_ops_stop,
